<bugID>873058<Summary>Download button should do something reasonable when in the menu panel</Summary><Description>It should either:

1) Open a subview listing some downloads
2) Open up the Downloads view in the Library

(1) is a bit tricky and likely to require some design work to make it look right.</Description></bugID>